package com.liquidnet.service.goblin.dto.vo;

import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author TT
 */
@Data
public class GoblinGoodsAnticipateHelpVo implements Serializable,Cloneable{

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private String sid;

    /**
     * 分享用户id
     */
//    private String uid;

    /**
     * 助力人uid
     */
    private String helpUid;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 头像集合
     */
//    private List<String> helpUserAvatar;

    private static final GoblinGoodsAnticipateHelpVo obj = new GoblinGoodsAnticipateHelpVo();

    public static GoblinGoodsAnticipateHelpVo getNew() {
        try {
            return (GoblinGoodsAnticipateHelpVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new GoblinGoodsAnticipateHelpVo();
        }
    }

}
